﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:local="clr-namespace:Weather"
             x:Class="Weather.MainPage">
    <ContentPage.ToolbarItems>
        <ToolbarItem Text="Settings"  Clicked="ToolbarItem_Clicked" />
    </ContentPage.ToolbarItems>
    <StackLayout>
        <Label Text="MIK - Weather" HorizontalOptions="Center" TextColor="#000000" FontSize="40" FontAttributes="Bold"/>
        <Grid>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="75" />
                <ColumnDefinition Width="*" />
            </Grid.ColumnDefinitions>
            <BoxView Color="#57c7c7" Grid.Column="0" Grid.RowSpan="2"/>
            <BoxView Color="Gray" Grid.Column="1" Grid.RowSpan="2"/>
        </Grid>
        <Grid MinimumHeightRequest="200">
            <Grid.RowDefinitions>
                <RowDefinition Height="*" />
                <RowDefinition Height="*" />
                <RowDefinition Height="*" />
            </Grid.RowDefinitions>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="*" />
                <ColumnDefinition Width="1.5*" />
                <ColumnDefinition Width="*" />
            </Grid.ColumnDefinitions>
            <Image Grid.Column="0" Grid.Row="2" Grid.RowSpan="1" Source="humidity_logo.png" WidthRequest="50" HeightRequest="50"/>
            <Image Grid.Column="1" Grid.RowSpan="2"  Source="temperature_logo.png" WidthRequest="50" HeightRequest="50"/>
            <Image Grid.Column="2" Grid.Row="2" Grid.RowSpan="1" Source="pressure_logo.png" WidthRequest="50" HeightRequest="50"/>
            <Label x:Name="labelHum" FontSize="18" FontAttributes="Bold" HorizontalOptions="Center" VerticalOptions="CenterAndExpand" Grid.Column="0" Grid.Row="1" Grid.RowSpan="1" Text="xx %"/>
            <Label x:Name="labelTmp" FontSize="30" FontAttributes="Bold" HorizontalOptions="Center" VerticalOptions="CenterAndExpand" Grid.Column="1" Grid.Row="2" Grid.RowSpan="1" Text="xx C°"/>
            <Label x:Name="labelPress" FontSize="18" FontAttributes="Bold" HorizontalOptions="Center" VerticalOptions="CenterAndExpand" Grid.Column="2" Grid.Row="1" Grid.RowSpan="1" Text="xx hPa"/>
        </Grid>
        <Frame Margin="3" Padding="5" BackgroundColor="#57c7c7" CornerRadius="0">
            <Grid Padding="3" MinimumHeightRequest="30">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="*" />
                    <ColumnDefinition Width="*" />
                    <ColumnDefinition Width="*" />
                    <ColumnDefinition Width="*" />
                </Grid.ColumnDefinitions>
                <Label FontSize="15" FontAttributes="Bold" Grid.Column="0" Text="Datetime:" VerticalOptions="CenterAndExpand"/>
                <Label FontSize="15" FontAttributes="Bold" Grid.Column="1" Text="Temp(°C):" VerticalOptions="CenterAndExpand"/>
                <Label FontSize="15" FontAttributes="Bold" Grid.Column="2" Text="Hum(%):" VerticalOptions="CenterAndExpand"/>
                <Label FontSize="15" FontAttributes="Bold" Grid.Column="3" Text="Press(hPa):" VerticalOptions="CenterAndExpand"/>
            </Grid>
        </Frame>
        <ListView HeightRequest="100" x:Name="listValues" IsPullToRefreshEnabled="True" RowHeight="50" ItemsSource="{x:Static local:Value.Values}" Margin="0,-5,0,0">
            <ListView.ItemTemplate>
                <DataTemplate>
                    <ViewCell>
                        <ContentView Padding="3">
                            <Frame Padding="5" BackgroundColor="#D6D6D6" CornerRadius="0">
                                <Grid>
                                    <Grid.ColumnDefinitions>
                                        <ColumnDefinition Width="*" />
                                        <ColumnDefinition Width="*" />
                                        <ColumnDefinition Width="*" />
                                        <ColumnDefinition Width="*" />
                                    </Grid.ColumnDefinitions>
                                    <Label Grid.Column="0" Text="{Binding datetime}" FontSize="12" VerticalOptions="CenterAndExpand" />
                                    <Label Grid.Column="1" Text="{Binding temperature }" FontSize="23" VerticalOptions="CenterAndExpand" />
                                    <Label Grid.Column="2" Text="{Binding humidity }" FontSize="23" VerticalOptions="CenterAndExpand" />
                                    <Label Grid.Column="3" Text="{Binding pressure }" FontSize="23" VerticalOptions="CenterAndExpand" />
                                </Grid>
                            </Frame>
                        </ContentView>
                    </ViewCell>
                </DataTemplate>
            </ListView.ItemTemplate>
        </ListView>
        <Button x:Name="loadButton" Clicked="LoadButton_Clicked" IsVisible="False" Text="Load Failed - TRY AGAIN"></Button>
    </StackLayout>
</ContentPage>
